# Contributors

## Editors

Period | Name
--- | ---
2013- | Johann Mattis List
2020- | Annika Tjuka
2013-2018 | Michael Cysouw
2023- | Mathilda van Zantwijk
2023- | Frederic Blum
2023- | Carlos Barrientos Ugarte
2019- | Christoph Rzymski
2017- | Simon Greenhill
2019-2022 | Nathanael Schweikhard
2019-2021 | Kristina Pianykh
2020  | Mei-Shin Wu
2020-2021 | Carolin Hundt
2020  | Tiago Tresoldi
2015- | Robert Forkel


## Grant information

The Concepticon resource is the result of ongoing efforts which date back to
early 2012. Without the generous support of many different funding agencies, we
would not have been able to carry out this research. The table below lists, who
has profited during which time periods from what research projects awarded by
which funding agency.

Period    | Grant Name                                                     | Grant Type                                        | Funding Agency                                        | Grant Number | Beneficiaries
---       | ---                                                            | ---                                               | ---                                                   | --- | ---
2022-2024 | [CALC³](https://digling.org/calc) | | Max Planck Society |  | JML 
2012-2014 | *Quantitative modelling of historical-comparative linguistics* | ERC Starting Grant                                | European Research Council                             | 240816       | MC, JML
2015-2016 | *Vertical and lateral aspects of Chinese dialect history*      | Research Fellowship                               | German Research Council                               | 261553824    | JML
2017-2022 | [*Computer-Assisted Language Comparison*](http://calc.digling.org)      | ERC Starting Grant                              | European Research Council                               | [206320](https://cordis.europa.eu/project/rcn/206320/factsheet/en)    | JML
2012-2016 | [Discovering Trans-New Guinea: Revealing the history of New Guinea](http://transnewguinea.org)                                                            | ARC Discovery Projects                            | Australian Research Council                           | DE 120101954 | SJG
2015-2022  | [ARC Center of Excellence for the Dynamics of Language](http://www.dynamicsoflanguage.edu.au/)                                                               | Center of Excellence for the Dynamics of Language | Australian Research Council                           | CE140100041  | SJG
2014-2017 | [Glottobank Project](http://glottobank.org)                                             | Marsden Fund                                      | Royal Society of New Zealand                          | 13-UOA-121   | SJG, JML, RF
2014-2021 | [Glottobank Project](http://glottobank.org)                                             |                                                   | Max Planck Institute for the Science of Human history |              | SJG, JML, RF
2022-now  | [Glottobank Project](http://glottobank.org)                                             |                                                   | Max Planck Institute for Evolutionary Anthropology |              | SJG, JML, RF
2014-2017 | [CLLD Project](http://clld.org)                                                   |                                                   | Max Planck Society                                    |              | RF




## People

Many people helped us in many
ways in assembling the data. They pointed us to missing
lists (M), provided scans (S), digitized data (D), typed off
and corrected concept lists (C), provided translations (T),
linked concept lists (L), provided corrections of concept definitions and concept linkings (P), or gave important advice (A), and (G) contributed new data via the GitHub-Workflow, or helped in reviewing new submissions (R). 

For all this help, we are very grateful and express our gratitude.

Name | Contribution | Version |
--- | --- | --- |
Alexander D. Smith | A | 3.2
Alexei Kassian | D | 1.0
Andreea Calude | D | 1.1
Andrew Hsiu | DM | 2.3
Andrew Kitchen | D | 1.0
András Kornai | M | 2.5
Andy Castro | T | 2.0, 2.2
Anja Gampe | D | 1.1
Anna Di Natale | LP | 3.2
Anthony Grant | MS | 1.1
Ayten Tüfekci | CL | 2.5
Ben Yackley | P | 1.1
Bryan Allen | C | 3.0
Carlos Barrientos Ugarte | LGR | 3.0
Carlotta Kintscher | C | 2.5
Carolin Hundt | DCTLPG | 2.3, 2.4
Christoph Rzymski | CLPG | 1.1
Claire Bowern | D | 1.1, 2.2
Cormac Anderson | CP | 1.1, 1.2
Damian Satterthwaite-Phillips | D | 1.0
Dana Thoeren | C | 2.5
David Nash | MP | 2.2
Doug Cooper | DCSM | 1.1, 2.1
Evgeniya Korovina | MDSCLPAG | 1.1, 2.2, 3.0, 3.2
Fabio Fromme | CL | 2.5
Fiona Grond | CL | 2.5
Fiona M. Wilson | MD | 3.1
Franz Manni | A | 2.5
Frederic Blum | GR | 2.5, 3.0
Frederike Urke | CLS | 1.0
Hans Geisler | MSDT | 2.3, 2.4
Harald Hammarström | DMS | 1.0, 2.4
Isabella Boga | LP | 1.1
Jan Auracher | D | 1.1
Janine Wieking | CL | 2.5
Johannes Dellert | LPD | 1.1
Joshua Conrad Jackson | DM | 2.4
Julia Fischer | SDT | 1.0
Katja Bocklage | LP | 3.2
Katja Sirges | C | 2.5
Kristina Pianykh | DCTLP | 2.1
Lars Borin | DL | 1.0
Magdalena Łuniewska | D | 1.1
Magnus Pharao Hansen | MD | 2.4
Marina Dalarossa | C | 2.4
María Eugenia Arthuis Blanco | CTLG | 2.6
Martin Haspelmath | AD | 1.0
Mathilda van Zantwijk | CTLGR | 3.0
Mateus Alves Motta | CTLG | 2.6
Maurizio Serva | MD | 1.1
Mei-Shin Wu | CTLG | 1.2, 2.0, 2.1, 2.2
Michael Dunn | G | 1.1
Muhammad Zakaria | L | 2.4
Natalia Morozowa | DCPTL | 2.0, 2.1, 2.2
Nathan Hill | MSDP | 1.1, 2.3
Nathan Statezni | D | 2.4
Nicholas Evans | A | 1.0
Panayiotis Pappas | MD | 3.1
Paul Heggarty | D | 1.0
Quentin Atkinson | MD | 1.1
Robert Blust | D | 1.0
Sandra Auderset | LG | 2.4
Sean Lee | D | 1.0
Sebastian Nicolai | CMS | 1.0
Simone Pomikalek | CL | 2.5
Stéphane Polis | P | 2.5 
Sylvia Li | C | 2.4
Taraka Rama | MSDCG | 2.4
Thiago Chacon | MSD | 1.0, 1.1, 2.3
Tiago Tresoldi | CTLG | 1.1, 1.2, 2.0, 2.1, 2.2, 2.3, 2.4
Timotheus A. Bodt | CTP | 2.4
Viktor Martinović | GR | 3.0
Viola Kirchhoff da Cruz | CLS | 1.0
Wang Feng | D | 1.0
Yue Chen | C | 2.4
Yunfan Lai | CTLG | 1.1
