# Concepticon

## General information

- https://concepticon.clld.org
- https://concepticon.clld.org/about
- https://pdfs.semanticscholar.org/db68/1ae44a635c66b8b2664f0538c93d5982a7c3.pdf
- a beginner's guide for adding new concept lists: https://calc.hypotheses.org/2225
- GitHub review workflow: https://calc.hypotheses.org/2680
- types of concept lists: https://zenodo.org/record/1474751#.XkpNm3VKg5k

## Data and tools:

- authorative source for Concepticon:
  - https://github.com/concepticon/concepticon-data
- pyconcepticon:
  - https://github.com/concepticon/pyconcepticon
- issues, lists to be checked, lists to be added:
  - https://github.com/concepticon/concepticon-data/issues
- past pull requests for reference:
  - https://github.com/concepticon/concepticon-data/issues

## Guides and tutorials:

- https://github.com/concepticon/concepticon-data/blob/master/README.md
- https://github.com/concepticon/concepticon-data/blob/master/CONTRIBUTING.md
- https://github.com/concepticon/pyconcepticon/blob/master/README.md
- https://calc.hypotheses.org/1820
- https://calc.hypotheses.org/1844

# Introductory tasks:

- read Concepticon paper, understand Concepticon website and ideas, concepts, etc.
- register for an account on https://github.com, understand git, GitHub
  - https://www.freecodecamp.org/news/what-is-git-and-how-to-use-it-c341b049ae61/
- try to understand how lists are added and why they are added in this specific way, e.g.:
  - https://github.com/concepticon/concepticon-data/pull/433
  - make sure to read the comments and understand the mistakes I made
- understand what bibtex is and what we use it for:
  - https://www.economics.utoronto.ca/osborne/latex/BIBTEX.HTM
  - https://github.com/concepticon/concepticon-data/tree/master/concepticondata/references
